2.2 Data Model Deployment
02/24/2025 12:40 PM - Owen Wu

Status: Accepted Start date: 02/24/2025

Priority: Normal Due date:

Assignee: Owen Wu % Done: 0%

Category:

Target version:

Final Decision: Version: 2.2

Closed Reason: --Not Set--- Needs More No
Information:

Breaking Change:

Description

14. (Owen)Update GitLab PIM repository--Move to GitHub: Add the latest EA model version, generate HTML version, update
"index.html," and commit changes.

15. (Owen)Tag and release new PIM version: Tag the new version, create a release in GitLab, and ensure accessibility in the
public folder.

16. (Owen)Update GitLab PSM Protobuf repository: Update COPYRIGHT file, regenerate Protobuf files, update Dockerfiles, and
generate language-specific bindings.

17. (Owen)Tag and release new PSM version: Tag the new version and create a release after verifying changes are complete.
18. (Owen)Update language-specific repositories: Copy language-specific Protobuf bindings to their respective repos. Tag and
release these updates.

3. (TBD)Generate other Bindings: Rust, Python, JAVA, C# & GO

19. (Owen)Publish release artifacts: Push artifacts to public repositories (e.g., GitLab, DockerHub, etc.) and update the
OpenFMB website.

Related issues:

Related to OpenFMB General - OpenFMBIssues #7110: Preparation for the 2.2 rel... Closed 01/22/2025
Related to OpenFMB General - OpenFMBIssues #7107: Setup and manage the versio... In Progress  01/08/2025
History

#1 - 02/24/2025 12:41 PM - Owen Wu

- Status changed from New to Triage

#2 - 02/24/2025 12:41 PM - Owen Wu

- Status changed from Triage to Accepted

#3 - 02/24/2025 12:47 PM - Owen Wu
- Related to OpenFMBissues #7110: Preparation for the 2.2 release in Distributech added

#4 - 02/24/2025 12:52 PM - Owen Wu
- Related to OpenFMBissues #7107: Setup and manage the version control on GitHub added
